Monday, August 16, 2010

Error after 11g upgrade

Saw the following error in utlrp after upgrading a db to 11gR2:
Warning: XDB now invalid, could not find xdbconfig


After a bit of digging I found metalink doc 944088.1.

Check your LD_LIBRARY_PATH for DB and Listener. If not set correctly you'll need to restart both DB and Listener, and then try utlrp again.